> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start batch of person enrichments

> Start batch of person enrichments

<Check>
  Credit consumption:

  * 0.5 email credits when a person is found, charged at most once per 24 hours
  * 1 email credit when an email is revealed, only charged once
  * 1 phone credit when a phone number is revealed, only charged once
</Check>


## OpenAPI

````yaml post /people/enrichment-requests
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /people/enrichment-requests:
    post:
      tags:
        - Person Enrichment
      summary: Start batch of person enrichments
      description: Start batch of person enrichments
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - leads
              additionalProperties: false
              properties:
                leads:
                  type: array
                  items:
                    type: object
                    additionalProperties: false
                    properties:
                      email:
                        type: string
                        format: email
                      linkedin_url:
                        type: string
                      company_domain:
                        type: string
                      company_name:
                        type: string
                      name:
                        type: string
                      title:
                        type: string
                reveal_email:
                  type: boolean
                reveal_phone_numbers:
                  type: boolean
        required: true
        description: Leads to be enriched
      responses:
        '202':
          description: Batch accepted
          content:
            application/json:
              examples:
                Batch accepted:
                  value:
                    id: 1
                    object: person_enrichment
                    status: queued
                    results: []
                    _links:
                      self:
                        href: /people/enrichment-requests/1
              schema:
                $ref: '#/components/schemas/response_person_enrichment_object'
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Missing field:
                  value:
                    _errors:
                      - code: missing_field
                        title: Missing Field
                        detail: 'Missing field from request: leads'
                        source:
                          pointer: /leads
                    object: error
                Type error:
                  value:
                    _errors:
                      - code: missing_field
                        title: Missing Field
                        detail: 'Missing field from request: leads'
                        source:
                          pointer: /leads
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '402':
          description: Insufficient credits
          content:
            application/json:
              examples:
                Insufficient credits:
                  value:
                    _errors:
                      - code: insufficient_credits
                        title: Insufficient Credits
                        detail: >-
                          You do not have enough credits to perform this
                          operation.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '500':
          description: Internal server error
          content:
            application/json:
              examples:
                Internal server error:
                  value:
                    _errors:
                      - code: internal_server_error
                        title: Internal Server Error
                        detail: Something went wrong.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_person_enrichment_object:
      type: object
      required:
        - id
        - object
        - status
        - results
        - _links
      additionalProperties: false
      properties:
        id:
          type: integer
        object:
          type: string
          enum:
            - person_enrichment
        status:
          type: string
          enum:
            - queued
            - processing
            - completed
            - canceled
            - error
        results:
          type: array
          items:
            $ref: '#/components/schemas/response_person_enrichment_result_object'
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_person_enrichment_result_object:
      type: object
      additionalProperties: true
      properties:
        id:
          type: integer
        status:
          nullable: true
          type: string
          enum:
            - enriched
            - not_found
            - gdpr_removed
        result:
          $ref: '#/components/schemas/response_person_object'
          nullable: true
        email:
          nullable: true
          type: string
        linkedin_url:
          nullable: true
          type: string
        company_domain:
          nullable: true
          type: string
        company_name:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_person_object:
      type: object
      required:
        - id
        - object
        - linkedin_url
      additionalProperties: true
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - person
        linkedin_url:
          nullable: false
          type: string
        name:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        first_name:
          nullable: true
          type: string
        last_name:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        headline:
          nullable: true
          type: string
        about:
          nullable: true
          type: string
        current_position_start_date:
          nullable: true
          type: string
          format: date
        current_position_description:
          nullable: true
          type: string
        location:
          nullable: true
          type: string
        image_url:
          type: string
          format: uri
        gender:
          type: string
          enum:
            - male
            - female
            - likely_male
            - likely_female
            - unknown
        location_details:
          $ref: '#/components/schemas/response_location_details_object'
        experiences:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/response_experience_object'
        educations:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/response_education_object'
        languages:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/response_language_object'
        phone_numbers:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/response_phone_number_object'
        company:
          $ref: '#/components/schemas/response_company_object'
          nullable: true
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
    response_location_details_object:
      type: object
      additionalProperties: false
      properties:
        country:
          nullable: true
          type: string
        state:
          nullable: true
          type: string
        city:
          nullable: true
          type: string
        postal_code:
          nullable: true
          type: string
        lat:
          nullable: true
          type: number
        long:
          nullable: true
          type: number
    response_experience_object:
      type: object
      required:
        - object
        - title
        - company_name
        - company_linkedin_url
        - description
        - start_date
        - end_date
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - experience
        title:
          type: string
        company_name:
          type: string
        company_linkedin_url:
          nullable: true
          type: string
          format: uri
        description:
          nullable: true
          type: string
        start_date:
          nullable: true
          type: string
          format: date
        end_date:
          nullable: true
          type: string
          format: date
    response_education_object:
      type: object
      required:
        - object
        - degree
        - field_of_study
        - school_name
        - school_linkedin_url
        - start_date
        - end_date
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - education
        degree:
          nullable: true
          type: string
        field_of_study:
          nullable: true
          type: string
        school_name:
          type: string
        school_linkedin_url:
          nullable: true
          type: string
          format: uri
        start_date:
          nullable: true
          type: string
          format: date
        end_date:
          nullable: true
          type: string
          format: date
    response_language_object:
      type: object
      required:
        - object
        - language
        - iso_code
        - proficiency
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - language
        language:
          nullable: false
          type: string
        iso_code:
          nullable: false
          type: string
        proficiency:
          nullable: true
          type: string
    response_phone_number_object:
      type: object
      required:
        - object
        - id
        - number
        - type
      additionalProperties: true
      properties:
        object:
          type: string
          enum:
            - phone_number
        id:
          type: string
          format: uuid
        number:
          type: string
        type:
          type: string
          enum:
            - mobile
            - office
            - phone
            - landline
            - voip
            - direct
        source:
          type: string
          enum:
            - amplemarket
            - crm
            - user_uploaded
    response_company_object:
      type: object
      required:
        - id
        - object
        - linkedin_url
      additionalProperties: true
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - company
        linkedin_url:
          nullable: false
          type: string
        name:
          nullable: true
          type: string
        overview:
          nullable: true
          type: string
        website:
          nullable: true
          type: string
        keywords:
          nullable: true
          type: array
          items:
            type: string
        followers:
          nullable: true
          type: integer
        estimated_number_of_employees:
          nullable: true
          type: integer
        size:
          nullable: true
          type: string
          enum:
            - 10001+ employees
            - 201-500 employees
            - 51-200 employees
            - 11-50 employees
            - 1-10 employees
        location:
          nullable: true
          type: string
        location_details:
          $ref: '#/components/schemas/response_location_details_object'
        locations:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/response_location_object'
        logo_url:
          type: string
          format: uri
        founded_year:
          nullable: true
          type: integer
        traffic_rank:
          nullable: true
          type: integer
        sic_codes:
          nullable: true
          type: array
          items:
            type: integer
        naics_codes:
          nullable: true
          type: array
          items:
            type: integer
        type:
          nullable: true
          type: string
          enum:
            - Public Company
            - Educational
            - Self Employed
            - Government Agency
            - Non Profit
            - Self Owned
            - Privately Held
            - Partnership
        total_funding:
          nullable: true
          type: integer
        latest_funding_stage:
          nullable: true
          type: string
          enum:
            - seed
            - angel
            - venture_round_unknown_series
            - series_a
            - series_b
            - series_c
            - series_d
            - series_e
            - series_f
            - series_g
            - series_h
            - series_i
            - series_j
            - debt
            - equity_crowdfunding
            - convertible_note
            - ico
            - private_equity
            - other
        latest_funding_date:
          nullable: true
          type: string
          format: date
        is_b2b:
          nullable: true
          type: boolean
        is_b2c:
          nullable: true
          type: boolean
        technologies:
          nullable: true
          type: array
          items:
            type: string
        department_headcount:
          $ref: '#/components/schemas/response_department_headcount_object'
        job_function_headcount:
          $ref: '#/components/schemas/response_job_function_headcount_object'
        estimated_revenue:
          nullable: true
          type: string
          enum:
            - $0-$1M
            - $1M-$10M
            - $10M-$100M
            - $100M-$1B
            - $1B+
        revenue:
          nullable: true
          type: integer
    response_location_object:
      type: object
      additionalProperties: false
      properties:
        address:
          nullable: false
          type: string
          description: Full address as a single string
        is_primary:
          nullable: false
          type: boolean
          description: Indicates if this is the primary location
        country:
          nullable: true
          type: string
          description: Country name (e.g., United States)
        state:
          nullable: true
          type: string
          description: State or subdivision name (e.g., California, New York)
        city:
          nullable: true
          type: string
          description: City name
        postal_code:
          nullable: true
          type: string
          description: Postal code
    response_department_headcount_object:
      type: object
      additionalProperties:
        type: integer
    response_job_function_headcount_object:
      type: object
      additionalProperties:
        type: object
        additionalProperties:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````